Bug 1733868 - Large number of failing upstream tests on aarch64
Summary: Large number of failing upstream tests on aarch64
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: binutils
Version: 8.1
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Nick Clifton
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: 1746605
TreeView+ depends on / blocked
 
Reported: 2019-07-29 05:46 UTC by Miloš Prchlík
Modified: 2019-12-03 18:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 18:09:31 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Nick Clifton 2019-08-05 12:23:16 UTC
Hi Miloš,

  Unfortunately that buildroot tarball is no longer available.

  I did run a scratch build of the 2.23-13.el8 source rpm for the AArch64
  and none of those failures showed up in the build log.  Could this have
  been a temporary failure ?  If not, please could you run the build again
  so that I can grab the new buildroot.

  There is a possibility that the problem is due to a debugging printf
  which appears to have been left in the objcopy sources.  If you see
  "DUP FUNXC" appearing the logs next to the failures, then this is it.
  I am preparing a patch to fix this particular snafu anyway, since the
  statement should obviously not be there, but I am not sure if this
  will turn out to be the cause of the failures you found.

Cheers
  Nick

Comment 7 Miloš Prchlík 2019-12-03 17:47:08 UTC
Sorry for the delay, this somehow fell under my table too :(

Nick, it was indeed working as expected with later build of gcc-toolset-9-binutils, in the final test run before 8.1.0 release the test suite passed on all arches (gcc-toolset-9-binutils-2.32-15.el8.aarch64, gcc-toolset-9-gcc-9.1.1-2.3.el8.aarch64, gcc-toolset-9-annobin-8.79-2.el8.aarch64).

So, what's next? This bug could have been part of gcc-toolset-9-binutils erratum which is already gone, on the other hand, it was reported & fixed without anyone in the real world even noticing :)

Comment 8 Nick Clifton 2019-12-03 18:09:31 UTC
(In reply to Miloš Prchlík from comment #7)

> So, what's next?

I close the BZ. :-)

Things appear to be working as expected and no-one is complaining.  So lets close this issue for now.  If it comes back to haunt us we can always reopen it or clone it.


Note You need to log in before you can comment on or make changes to this bug.